#ifndef _pbdate_H
#define _pbdate_H




#include "stm32f10x.h"
#include "stm32f10x_it.h"
#include "stm32f10x_tim.h"
#include "stm32f10x_exti.h"
#include "stm32f10x_usart.h"
#include "stm32f10x_iwdg.h"
#include "misc.h"
#include "sys.h"







#define ASK PBout(0)


void delay_us(u16 nms);
void delay_ms(u16 nms);
void Sys_Configuration(void);
void GPIO_Configuration(void);
void IWDG_Configuration(void);

void rf_delay_long(void);
void rf_delay_short(void);
void send_one(void);
void send_zero(void);
void send_byte(unsigned char da);
void ask_send(unsigned char datt[], unsigned char len);
void Ask_process(void);


#endif
